stateref-0.3: Abstraction for things that work like IORef.

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Accessor

# Documentation

newtype Getter (m :: Type -> Type) a Source #

Constructors

Getter (m a) |

#### Instances

Instances details

Monad m => ReadRef (Getter m a) m a Source # |
Instance details Defined in Data.Accessor Methods readReference :: Getter m a -> m a Source #

newtype Setter (m :: Type -> Type) a Source #

Constructors

Setter (a -> m ()) |

#### Instances

Instances details

Monad m => WriteRef (Setter m a) m a Source # |
Instance details Defined in Data.Accessor Methods writeReference :: Setter m a -> a -> m () Source #

newtype Accessor (m :: Type -> Type) a Source #

Constructors

Accessor (Getter m a, Setter m a) |

#### Instances

Instances details

Monad m => ReadRef (Accessor m a) m a Source # |
Instance details Defined in Data.Accessor Methods readReference :: Accessor m a -> m a Source #
Monad m => WriteRef (Accessor m a) m a Source # |
Instance details Defined in Data.Accessor Methods writeReference :: Accessor m a -> a -> m () Source #